zenilib: cordic Namespace Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Namespace List
- Namespace Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Functions | Variables
cordic Namespace Reference

## Functions

def | calc_val
def | print_val

## Variables

tuple | angle = math.atan(x)
| angle2 = angle*scale
string | comma = ""
tuple | errhi = abs( thi - x )
tuple | errlo = abs( tlo - x )
int | hi = lo+1
tuple | lo = int(angle2)
list | r = [-1]
| scale = units/math.pi
float | shrink = 1.0
tuple | thi = math.tan(hi/scale)
tuple | tlo = math.tan(lo/scale)
int | units = 256
float | x = 1.0

## Function Documentation

def cordic.calc_val | ( |  | x | ) |

Definition at line 10 of file cordic.py.

def cordic.print_val | ( |  | n,
|  |  | x
| ) |  |

Definition at line 16 of file cordic.py.

References int.

## Variable Documentation

tuple cordic.angle = math.atan(x)

Definition at line 49 of file cordic.py.

cordic.angle2 = angle*scale

Definition at line 50 of file cordic.py.

string cordic.comma = ""

Definition at line 8 of file cordic.py.

tuple cordic.errhi = abs( thi - x )

Definition at line 59 of file cordic.py.

tuple cordic.errlo = abs( tlo - x )

Definition at line 58 of file cordic.py.

int cordic.hi = lo+1

Definition at line 54 of file cordic.py.

Referenced by _vp_psy_init(), bark_noise_hybridmp(), decode_packed_entry_number(), floor1_look(), FT_Add64(), ft_div64by32(), ft_multo64(), ft_trig_downscale(), png_64bit_product(), SDL_EventState(), SDL_FindFrequencyMultiple(), SDL_Swap64(), setting_to_approx_bitrate(), vorbis_book_init_decode(), vorbis_encode_ctl(), vorbis_encode_psyset_setup(), vorbis_encode_setup_init(), vorbis_encode_setup_managed(), vorbis_encode_setup_setting(), and vorbis_encode_setup_vbr().

tuple cordic.lo = int(angle2)

Definition at line 53 of file cordic.py.

Referenced by _vp_psy_init(), bark_noise_hybridmp(), decode_packed_entry_number(), floor1_look(), FT_Add64(), ft_multo64(), png_64bit_product(), SDL_EventState(), SDL_FindFrequencyMultiple(), SDL_Swap64(), and vorbis_book_init_decode().

tuple cordic.r = [-1]

Definition at line 39 of file cordic.py.

cordic.scale = units/math.pi

Definition at line 6 of file cordic.py.

tuple cordic.shrink = 1.0

Definition at line 7 of file cordic.py.

tuple cordic.thi = math.tan(hi/scale)

Definition at line 56 of file cordic.py.

tuple cordic.tlo = math.tan(lo/scale)

Definition at line 55 of file cordic.py.

int cordic.units = 256

Definition at line 5 of file cordic.py.

float cordic.x = 1.0

Definition at line 45 of file cordic.py.